Skip to content

Save Answers

PATCH
/api/onboard/answers
curl --request PATCH \
--url https://example.com/api/onboard/answers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "invitationId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "answers": [ { "questionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "textValue": "example", "optionIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ] } ] }'

Saves the wizard’s answer draft for the questions attached to the chosen plan’s product. The full answer set replaces any previous draft. Safe to call more than once. Final validation runs when /complete is called.

object
invitationId
string format: uuid
answers
Array<object>
nullable
object
questionId
string format: uuid
textValue
string
nullable
optionIds
Array<string>
nullable
Example generated
{
"invitationId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"answers": [
{
"questionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"textValue": "example",
"optionIds": [
"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
]
}
]
}

No Content

Bad Request

Media type application/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Example generated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Conflict

Media type application/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Example generated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}